| Flutter Impeller |

Static Public Member Functions | List of all members
impeller::ImpellerEntityUnitTestAccessor Class Reference

## Static Public Member Functions
static std::vector< SolidFillVertexShader::PerVertexData > | GenerateSolidStrokeVertices (const Path::Polyline &polyline, Scalar stroke_width, Scalar miter_limit, Join stroke_join, Cap stroke_cap, Scalar scale)
static std::vector< TextureFillVertexShader::PerVertexData > | GenerateSolidStrokeVerticesUV (const Path::Polyline &polyline, Scalar stroke_width, Scalar miter_limit, Join stroke_join, Cap stroke_cap, Scalar scale, Point texture_origin, Size texture_size, const Matrix &effect_transform)

## Detailed Description

Definition at line 52 of file geometry_unittests.cc.

## Member Function Documentation

## ◆ GenerateSolidStrokeVertices()

static std::vector<SolidFillVertexShader::PerVertexData> impeller::ImpellerEntityUnitTestAccessor::GenerateSolidStrokeVertices | ( | const Path::Polyline & | polyline,
|  | Scalar | stroke_width,
|  | Scalar | miter_limit,
|  | Join | stroke_join,
|  | Cap | stroke_cap,
|  | Scalar | scale
| ) |  |
| inline static

Definition at line 55 of file geometry_unittests.cc.

60 {
61 return StrokePathGeometry::GenerateSolidStrokeVertices(
62 polyline, stroke_width, miter_limit, stroke_join, stroke_cap, scale);
63 }

References polyline, scale, and stroke_width.

Referenced by impeller::testing::TEST().

## ◆ GenerateSolidStrokeVerticesUV()

static std::vector<TextureFillVertexShader::PerVertexData> impeller::ImpellerEntityUnitTestAccessor::GenerateSolidStrokeVerticesUV | ( | const Path::Polyline & | polyline,
|  | Scalar | stroke_width,
|  | Scalar | miter_limit,
|  | Join | stroke_join,
|  | Cap | stroke_cap,
|  | Scalar | scale,
|  | Point | texture_origin,
|  | Size | texture_size,
|  | const Matrix & | effect_transform
| ) |  |
| inline static

Definition at line 66 of file geometry_unittests.cc.

74 {
75 return StrokePathGeometry::GenerateSolidStrokeVerticesUV(
76 polyline, stroke_width, miter_limit, stroke_join, stroke_cap, scale,
77 texture_origin, texture_size, effect_transform);
78 }

References polyline, scale, and stroke_width.

Referenced by impeller::testing::TEST().

The documentation for this class was generated from the following file:

- impeller/entity/geometry/geometry_unittests.cc

polyline
const Path::Polyline & polyline
Definition: stroke_path_geometry.cc:292
stroke_width
const Scalar stroke_width
Definition: stroke_path_geometry.cc:293
scale
const Scalar scale
Definition: stroke_path_geometry.cc:297